ALTER PROCEDURE [dbo].[mnrPrcWebSynchInitialize] 	
AS 
BEGIN
    SET NOCOUNT ON;

    DECLARE @TableName NVARCHAR(128);
    DECLARE cursor_name CURSOR FOR

    SELECT m.TblName
    FROM mnrRepBranchesStatements s
    INNER JOIN mnrRepTableMain m ON s.mnrRepTableMainID = m.id
	LEFT  JOIN mnrRepTblsRecActionExport EXPORT ON EXPORT.TblName = m.TblName
    WHERE EXPORT.TblName IS NULL AND s.Dir = 0;


    OPEN cursor_name;

    FETCH NEXT FROM cursor_name INTO @TableName;

  
    WHILE @@FETCH_STATUS = 0
    BEGIN
       
			 DECLARE @sql NVARCHAR(MAX);

			
			SET @sql = 
				'UPDATE t1 ' +
				'SET t1.ID = t1.ID ' +
				'FROM ' + QUOTENAME(@TableName) + ' t1 ' +
				'LEFT JOIN mnrRepTblsRecAction t2 ON t1.ID = t2.RecGUID ' +
				'WHERE t2.RecGUID IS NULL;'; 

			
			EXEC sp_executesql @sql;

        FETCH NEXT FROM cursor_name INTO @TableName;
    END;

   
    CLOSE cursor_name;
    DEALLOCATE cursor_name;
END;